# get_dimensions function

(Shortest import: `from brian2 import get_dimensions)`

brian2.units.fundamentalunits.get_dimensions(obj)

  Return the dimensions of any object that has them.

  Slightly more general than `Quantity.dimensions` because it will return `DIMENSIONLESS` if the object is of number type but not a `Quantity` (e.g. a `float` or `int`).

  Parameters:

    obj : `object`

    > The object to check.

  Returns:

    dim : `Dimension`

    > The physical dimensions of the `obj`.